"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const baseConfig_js_1 = require("./baseConfig.js");
const utils_js_1 = require("./utils.js");
function default_1(options = {
    // Set hosts if you want
    hosts: [],
    // Specific devices if different to default
    inputDevices: [],
}, configOverride = {}) {
    // Any devices in environment variable?
    const envDevices = process.env.PLAYWRIGHT_DEVICES ?
        process.env.PLAYWRIGHT_DEVICES.split(',').map(d => d.trim()) :
        null;
    const devices = envDevices ??
        (options.inputDevices?.length ?
            options.inputDevices :
            utils_js_1.defaultDevices);
    baseConfig_js_1.baseConfig.projects = (0, utils_js_1.generateDynamicTestProjects)(devices);
    if (options.hosts && options.hosts.length > 0) {
        if (!baseConfig_js_1.baseConfig.use) {
            baseConfig_js_1.baseConfig.use = {};
        }
        baseConfig_js_1.baseConfig.use.hosts = options.hosts;
    }
    return (0, utils_js_1.deepMerge)({}, baseConfig_js_1.baseConfig, configOverride);
}
//# sourceMappingURL=configuration.js.map