"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const yaml_1 = require("yaml");
const fs_1 = __importDefault(require("fs"));
function default_1(siteName) {
    const yaml = (0, yaml_1.parse)(fs_1.default.readFileSync(`./config/sites/${siteName}/config.yaml`, 'utf8'));
    const project = {
        production: yaml.base
    };
    for (const variant of yaml.baseVariants) {
        const matches = variant.condition.match(/"(.*?)"/);
        let env = (matches ? matches[1] : false);
        if (env) {
            env = env.split('/');
            env = env.length > 1 ? env[1] : env[0];
            env = env.toLowerCase();
            project[env] = variant.base;
        }
    }
    return project;
}
//# sourceMappingURL=typo3site.js.map