import type { Project } from '@playwright/test';
import type { PlainObject, ProjectConfig } from './types.js';
/**
 * Consts
 */
export declare const defaultDevices: string[];
export declare const getEnv: () => string;
export declare const normalizeUrl: (url: string) => string;
/**
 * Functions
 */
export declare function generateDynamicTestProjects(projects: string[]): Project[];
export declare function convertDeviceToPlaywrightProject(title?: string, config?: ProjectConfig): Project;
export declare function matchUrlHostToEnv(hosts: any, path: string): string;
export declare function matchHostnameToEnv(hosts: any[], origin: string): string;
export declare function deepMerge<T extends PlainObject>(target: T, ...sources: PlainObject[]): T;
export declare function isObject(item: any): item is PlainObject;
