import type { PlaywrightTestConfig } from '@playwright/test';
export type PlainObject = Record<string, any>;
export type HostSite = {
    [key: string]: string;
};
export type Hosts = HostSite[];
export type FrameworkTest = {
    hosts: Hosts;
};
export interface ConfigurationOptions {
    hosts?: Hosts;
    inputDevices?: string[];
}
export interface FrameworkTestConfig extends PlaywrightTestConfig {
    use?: PlaywrightTestConfig['use'] & {
        hosts?: Hosts;
    };
}
export interface ProjectConfig {
    firstDevice: boolean;
    firstMobile: boolean;
    firstDesktop: boolean;
}
